Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81219

Summary: unresolved symbols: irlmp_lap_tx_queue_full and cpu_possible
Product: [Retired] Red Hat Raw Hide Reporter: Sammy <umar>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED RAWHIDE QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0CC: louisgtwo
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-02-11 06:19:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 79578    

Description Sammy 2003-01-06 20:53:02 UTC
I installed the 2.4.20-2.6 kernel which is giving the following errors: 
 
# depmod -ae 
depmod: *** Unresolved symbols in 
/lib/modules/2.4.20-2.6/kernel/arch/i386/oprofile/oprofile.o.gz 
depmod:         cpu_possible 
depmod: *** Unresolved symbols in /lib/modules/2.4.20-2.6/kernel/net/irda/irda.o.gz 
depmod:         irlmp_lap_tx_queue_full 
#

Comment 1 Mike McLean 2003-01-06 22:17:14 UTC
Seeing those with kernel-2.4.20-2.7, plus the following:

depmod: *** Unresolved symbols in /lib/modules/2.4.20-2.7/kernel/net/tux/tux.o.gz
depmod: 	sys_wait4

Comment 2 Brian Brock 2003-01-08 00:17:18 UTC
On `modprobe tux`, with 2.4.20-2.7smp, I get:

/lib/modules/2.4.20-2.7smp/kernel/net/tux/tux.o.gz: unresolved symbol sys_wait4
/lib/modules/2.4.20-2.7smp/kernel/net/tux/tux.o.gz: unresolved symbol
set_cpus_allowed
/lib/modules/2.4.20-2.7smp/kernel/net/tux/tux.o.gz: insmod
/lib/modules/2.4.20-2.7smp/kernel/net/tux/tux.o.gz failed
/lib/modules/2.4.20-2.7smp/kernel/net/tux/tux.o.gz: insmod tux failed


prevents tux from working, blocks testing of the tux (error in userland from
`service tux start` is limited to complaints about missing /proc entries).

Comment 3 Bill Nottingham 2003-02-11 06:19:29 UTC
These should all be fixed now.